%define major           4
%define libname         %mklibname %{name}_ %{major}
%define develname       %mklibname %{name} -d

Summary:	Word97 exporter library
Name:		wv2
Version:	0.4.2
Release:	%mkrel 12
License:	LGPLv2
Group:		System/Libraries
URL:		https://sourceforge.net/projects/wvware/
Source0: 	https://downloads.sourceforge.net/wvware/%{name}-%{version}.tar.bz2
Patch0:         wv2-0.4.2-mga-fix-build.patch
Patch3:		wv2-0.4.2-linkage.patch
Patch4:		wv2-0.4.2-xml2-include.patch
BuildRequires:	libgsf-devel
BuildRequires:	cmake

%description
wvWare is the continuation of Caolan McNamara's wv - the MSWord library.
Efforts are underway to make this library more correct, robust,
and turn it into a Word97 exporter.


%package -n %{libname}
Summary: 	Word97 exporter library
Group:	 	System/Libraries
Obsoletes:	wv2
Provides:	%{name} = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
wvWare is the continuation of Caolan McNamara's wv - the MSWord library. 
Efforts are underway to make this library more correct, robust, 
and turn it into a Word97 exporter.

%package -n %{develname}
Summary: 	Word97 exporter library devel
Group:	 	Development/C
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	wv2-devel
Provides:	wv2-devel = %{version}-%{release}
Obsoletes:	%{mklibname wv2_ 1 -d}

%description -n %{develname}
This is the Wv2 development package.


%prep
%setup -q
%patch -P 0 -p0
%patch -P 3 -p0 -b .link
%patch -P 4 -p1 -b .xml

%build
%cmake
%cmake_build

%install
%cmake_install

%multiarch_binaries %{buildroot}%{_bindir}/wv2-config

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}
%{_libdir}/*.so
%{_bindir}/wv2-config
%multiarch %{multiarch_bindir}/wv2-config
%{_libdir}/wvWare


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 0.4.2-12.mga10
+ Revision: 2128293
- Rebuild for patchN deprecation

* Thu Mar 24 2022 umeabot <umeabot> 0.4.2-11.mga9
+ Revision: 1824196
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 daviddavid <daviddavid> 0.4.2-10.mga8
+ Revision: 1518406
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.4.2-9.mga7
+ Revision: 1301721
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 0.4.2-8.mga6
+ Revision: 941257
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.2-7.mga5
+ Revision: 744419
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.2-6.mga5
+ Revision: 690377
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.4.2-5.mga4
+ Revision: 528043
- Mageia 4 Mass Rebuild

* Sat Jun 15 2013 fwang <fwang> 0.4.2-4.mga4
+ Revision: 443276
- fix pkgname
- add xml2 includes

* Sat Jan 19 2013 fwang <fwang> 0.4.2-4.mga3
+ Revision: 389663
- update rpm group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 27 2012 kamil <kamil> 0.4.2-3.mga2
+ Revision: 202293
- new Patch0 'mga-fix-build.patch': fix build against newer glib.h
- rebuild against new gcc 4.6.2
- clean .spec

* Sun Jan 23 2011 pterjan <pterjan> 0.4.2-2.mga1
+ Revision: 35541
- imported package wv2

